aboutsummaryrefslogtreecommitdiffstats
path: root/tools/xm-test/ramdisk
diff options
context:
space:
mode:
authorstekloff@elm3b216.beaverton.ibm.com <stekloff@elm3b216.beaverton.ibm.com>2006-05-19 16:29:34 +0100
committerstekloff@elm3b216.beaverton.ibm.com <stekloff@elm3b216.beaverton.ibm.com>2006-05-19 16:29:34 +0100
commit9c8277a2d8bdfcd8022ba16b99dcbd1e3849beff (patch)
treea542da51981827756ccf831883b5ee0058ce4410 /tools/xm-test/ramdisk
parent09eb4b87f72721aab77e5e88110a7dbdb44e603f (diff)
downloadxen-9c8277a2d8bdfcd8022ba16b99dcbd1e3849beff.tar.gz
xen-9c8277a2d8bdfcd8022ba16b99dcbd1e3849beff.tar.bz2
xen-9c8277a2d8bdfcd8022ba16b99dcbd1e3849beff.zip
This patch resizes the file system on the xm-test HVM disk.img to use
the entire space available. Signed-off-by: Daniel Stekloff <dsteklof@us.ibm.com>
Diffstat (limited to 'tools/xm-test/ramdisk')
-rw-r--r--tools/xm-test/ramdisk/bin/create_disk_image7
1 files changed, 7 insertions, 0 deletions
diff --git a/tools/xm-test/ramdisk/bin/create_disk_image b/tools/xm-test/ramdisk/bin/create_disk_image
index bde4b2dede..513af46d35 100644
--- a/tools/xm-test/ramdisk/bin/create_disk_image
+++ b/tools/xm-test/ramdisk/bin/create_disk_image
@@ -208,6 +208,13 @@ function dd_rootfs_to_image()
if [ $? -ne 0 ]; then
die "Failed to dd $ROOTFS to $LOOPP."
fi
+
+ # Resize fs to use full partition
+ e2fsck -f $LOOPP
+ resize2fs $LOOPP
+ if [ $? -ne 0 ]; then
+ die "Failed to resize rootfs on $LOOPP."
+ fi
}
function get_kernel()